> For the complete documentation index, see [llms.txt](https://developer.tryreferd.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.tryreferd.com/api-reference.md).

# REST API

- [Overview](https://developer.tryreferd.com/api-reference/overview-on-referd-apis.md): This section gives a detailed guide on all Referd APIs that are needed during integration.
- [Authentication](https://developer.tryreferd.com/api-reference/authentication.md): The Referd API uses API keys to authenticate requests. You can view your API keys in the Referd Dashboard.
- [API Reference](https://developer.tryreferd.com/api-reference/api-reference.md): Learn more about our available endpoints at Referd needed during integration.
- [User](https://developer.tryreferd.com/api-reference/api-reference/player.md): The User API can be used to create, update and display users' information on Referd. Users are uniquely identified by playerUniqueId.
- [Event](https://developer.tryreferd.com/api-reference/api-reference/event.md): This API endpoint allows you to track and send your users' events on your platform to Referd.
- [Notifications](https://developer.tryreferd.com/api-reference/api-reference/notifications.md): The Notifications API can be used to list the user's notifications and also to update its status once read.
- [API Endpoint Testing](https://developer.tryreferd.com/api-reference/api-endpoint-testing.md): Explore and test our API seamlessly with the dedicated Postman collection
- [Errors](https://developer.tryreferd.com/api-reference/error-codes.md): This section shows all Referd common error codes and how to resolve them.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tryreferd.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
